<?php
// page inspirée de index.php qui affiche la liste des liens d'une groupe contenu dans un fichier  dans le dossier liens/

/** **************************************************************************
 * Copyright (C) 2001 Eric Seigne <erics@rycks.com>
 * Copyright (C) 2004 Olivier Cortes <olivier.cortes@ryxeo.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * ***************************************************************************
 * File  : index.php
 * Author  : Olivier CORTES
 *           mailto:ocortes@ryxeo.com
 *           http://www.ryxeo.com/
 * Date    : 26/08/2003
 * Licence : GNU/GPL Version 2
 *
 * Description:
 * ------------
 *
 * @version    $Id: index.php,v 1.4 2003/09/25 08:28:54 olive Exp $
 * @author     Eric Seigne
 * @project   
 * @copyright  Eric Seigne 26/08/2003
 * @contribution Francois Audirac 10/05/2006
 *
 * ************************************************************************* */
// On récupère la variable file_name du nom du groupe de liens
$file_name = $_GET["file_name"];
$theme = $_GET["theme"];

// on récupère les valeurs des variables globales
require("admin/config.inc.php");
$images_dir = "../images";

// ---------------------------------------------------------------
// Fonction qui retourne un tableau avec la liste des applications
// disponibles pour l'intranet des utilisateurs.
//
// par exemple 
// $tab = ListeLiens();
// $tab[0]["title"] : Titre de l'application, exemple "NéoMail"
// $tab[0]["url"]   : URL pour l'application, exemple "/cgi-bin/neomail/pl"
// $tab[0]["desc"]  : Description, exemple "NéoMail est le logiciel de courriel pour l'in..."
function Listeliens($file_name) {
	require("admin/config.inc.php");
	// on corrige les valeurs pour les chemins faussés par rapport à admin/config.inc.php
	$files_dir="liens/";
	$fichier = $files_dir.$file_name;
	$fp = fopen($fichier,"r");
	if($fp = @fopen($fichier,"r")){
		$i = "1";
		$theme="defaut";
		while(!feof($fp)){
		$ligne = fgetcsv($fp,"1024","=");
		if ($ligne[0] == $var_theme) {
			$theme=$ligne[1];
		}
		if($ligne[0] == $var_title) {
			if($retour[$i][$var_title] != "") $i++;
			$retour[$i][$var_title] = $ligne[1];
      		} else if ($ligne[0] == $var_img) {
			$retour[$i][$var_img] = $ligne[1];
		} else if ($ligne[0] == $var_url) {
			$retour[$i][$var_url] = $ligne[1];
			$retour[$i][$var_theme]=$theme;
		}  else if ($ligne[0] == $var_desc) {
			$desc = explode("!",$ligne[1]);
			$retour[$i][$var_desc][$desc[0]] = $desc[1];
      		}
    	}
    	fclose($fp);
  	}
	return $retour;
	}


?>
<html>
<head>
<title>Visitez les liens d'Abul&Eacute;du </title>
<link href='../style.css' rel='stylesheet' type='text/css'>

</head>
<body bgcolor="#FFFFFF">

<div style="float: right; margin: 1em"><img src="../images/logo_abuledu.png" alt="logo abuledu" /></div>

<div style="text-align: center">
	<img src="../images/logo_page_web.png" alt="logo abuledu" />
        <h2>Liens &agrave; visiter : "<?php echo $file_name; ?>"</h2>

</div>
<!-- <p>&nbsp;</p> -->
<div style="width: 100%; margin: 40px 5px 5px">
 <table align="center" width="90%" border="0" cellspacing="0" cellpadding="0"> 
     <tr>
	<th>

<?php

// tab contient tous les liens des applications de Servecole
$tab = Listeliens($file_name);

	if (count($tab)<>"0") {
		// on affiche la liste des thèmes du groupe
		$array_sites = array();
		foreach($tab as $cle => $val) {
			if(!in_array($val[$var_theme],$array_sites))
			$array_sites[]=$val[$var_theme];
		}
		// on affiche la liste des thèmes
		Echo "<h4 align=\"left\">Th&egrave;mes disponibles</h4>";
		echo "";
		for ($j=0; $j <count($array_sites); $j++) {
			echo "<div style=\"font-size: 14px;text-align : left\">&nbsp;&nbsp;&nbsp;* <a href=\"?file_name=".$file_name."&theme=".$array_sites[$j]."\">".$array_sites[$j]."</a></div>";
		}
		echo "<div style=\"font-size: 14px;text-align : left\">&nbsp;&nbsp;&nbsp;* Voir <a href=\"liens.php?file_name=".$file_name." \">tous les th&egrave;mes</a></div><hr width='70%'>";
		if ($theme=="") {
		// s'il n'y a pas de theme spécifié dans l'adresse, 
		
			// on affiche la liste des liens pour chaque theme :
			// on suppose que tous les liens sont dans un theme
			$theme_en_cours="";
			echo "<table>";

			// on épluche le fichier à la recherche de tous les liens possédant ce thème
			for ($i=1; $i<=count($tab);$i++) {
				// on affiche le theme courant 
				
				if ((isset($theme_en_cours)) and ($theme_en_cours<>$tab[$i][$var_theme])) {
					// si le theme est déjà trouvé on affiche le nom du theme
					// et le début de la structure du tableau
					echo "</table><table align=\"center\" width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr bgcolor=\"#ddddee\"><th>".$tab[$i][$var_theme]."</th></tr></table>";
					echo '<table align="center" width="100%" border="0" cellspacing="0" cellpadding="0"> 
     					<!-- <tr bgcolor="#ddddee">
				       <th  width="10%"><div class="arial2">Image</div></th>
				       <th width="20%"><div class="arial2">Lien</div></th>
				       <th width="70%"><div class="arial2">Description</div></th>
					</tr> --> ';						
					$theme_en_cours=$tab[$i][$var_theme];
				}
				// On affiche le lien pour le $i actuel
					$logo = basename($tab[$i][$var_img]);
					$addresse = $tab[$i][$var_url];
					$titre = $tab[$i][$var_title];
					$description = $tab[$i][$var_desc][$var_desc_fr];
					$img=basename($logo);
					# $images_dir="images"; 
					// faux car le chemin est ../ : modifi en debut de page
					
					print "<tr bgcolor=\"#EEEEEE\">
					<td align=\"center\" width=\"10%\">";
					if ($logo=="") { 
						$img_html="";
					} else {
						$img_html="<img src=\"".$images_dir."/".$img."\" border=\"0\">";
					}
					print "<a href=\"$addresse\">".$img_html."</a>";
					print "</td>
					<td width=\"20%\"><a href=\"$addresse\">$titre</a></td>
					<td width=\"70%\">".$description."</td>
					</tr>\n";
			}
		} else {
			// le theme existe et on affiche les liens du theme indiqué

			$theme = stripSlashes(htmlentities($_GET['theme']));
			echo "<table align=\"center\" width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr bgcolor=\"#ddddee\"><th>".$theme."</th></tr></table>";
			print '<div style="width: 100%">
 			<table align="center" width="100%" border="0" cellspacing="0" cellpadding="0"> 
     				<!-- <tr bgcolor="#ddddee">
				       <th  width="10%"><div class="arial2">Image</div></th>
				       <th width="20%"><div class="arial2">Lien</div></th>
				       <th width="70%"><div class="arial2">Description</div></th>
				</tr> --> ';		
			// le theme est choisi ! on affiche les liens
			// on corrige (par rapport aux données contenues dans config.inc.php) le nom où se trouve les images pour les liens 
			$images_dir="images";
	
			for($i = 1; $i <= count($tab); $i++) {
				if ($tab[$i][$var_theme]==$theme) {

					$logo = basename($tab[$i][$var_img]);
					$addresse = $tab[$i][$var_url];
					$titre = $tab[$i][$var_title];
					$description = $tab[$i][$var_desc][$var_desc_fr];
					$img=basename($logo);
					print "<tr bgcolor=\"#EEEEEE\">
					<td align=\"center\" width=\"10%\">";
					if ($logo=="") { 
						$img_html="";
					} else {
						$img_html="<img src=\"".$images_dir."/".$img."\" border=\"0\">";
					}
					print "<a href=\"$addresse\">".$img_html."</a>";
					print "</td>
					<td width=\"20%\"><a href=\"$addresse\">$titre</a></td>
					<td width=\"70%\">$description</td>
					</tr>\n";
					
				}
			} 
		}

	} else {
		print "<tr><td bgcolor=\"#EEEEEE\" colspan=\"3\"><div align=\"center\">Pas de liens pour ce groupe</div></td></tr>";
	}
?>
				<tr>
					<td colspan="2">&nbsp;</td>
				</tr>
			</table>
	</div>
</th>
    </tr>
</table>

<h3><div align="center"><a href="../index.php">Retour &agrave; Servecole</a></div></h3>
</body>
</html>
